servant-0.20.2: A family of combinators for defining webservices APIs

Safe Haskell | Safe-Inferred
Language | Haskell2010

Servant.API.Fragment

Synopsis

- data Fragment (a :: Type)

# Documentation

data Fragment (a :: Type) Source #

Document the URI fragment in API. Useful in combination with `Link`.

Example:

    >>> -- /post#TRACKING
    >>> type MyApi = "post" :> Fragment Text :> Get '[JSON] Tracking

#### Instances

Instances details

(HasLink sub, ToHttpApiData v) => HasLink (Fragment v :> sub :: Type) Source # |
Instance details Defined in Servant.Links Associated Types type MkLink (Fragment v :> sub) a Source # Methods toLink :: (Link -> a) -> Proxy (Fragment v :> sub) -> Link -> MkLink (Fragment v :> sub) a Source #
AtMostOneFragment (Fragment a) Source # |
Instance details Defined in Servant.API.TypeLevel
type MkLink (Fragment v :> sub :: Type) a Source # |
Instance details Defined in Servant.Links type MkLink (Fragment v :> sub :: Type) a = v -> MkLink sub a